import type { SizeType } from '../context';
declare const _default: (name: string, props: Record<any, any>) => {
    configProvider: import("../context").ConfigProviderInnerProps;
    prefixCls: import("vue-demi").ComputedRef<string>;
    direction: import("vue-demi").ComputedRef<any>;
    size: import("vue-demi").ComputedRef<"small" | "large" | "middle">;
    getTargetContainer: import("vue-demi").ComputedRef<any>;
    getPopupContainer: import("vue-demi").ComputedRef<any>;
    space: import("vue-demi").ComputedRef<{
        size?: number | SizeType;
    }>;
    pageHeader: import("vue-demi").ComputedRef<{
        ghost?: boolean;
    }>;
    form: import("vue-demi").ComputedRef<{
        validateMessages?: import("../../form/interface").ValidateMessages;
        requiredMark?: import("../../form/Form").RequiredMark;
        colon?: boolean;
    }>;
    autoInsertSpaceInButton: import("vue-demi").ComputedRef<boolean>;
    renderEmpty: (name?: string) => import("../../_util/type").VueNode;
    virtual: import("vue-demi").ComputedRef<boolean>;
    dropdownMatchSelectWidth: import("vue-demi").ComputedRef<number | boolean>;
    rootPrefixCls: import("vue-demi").ComputedRef<string>;
    getPrefixCls: (suffixCls?: string, customizePrefixCls?: string) => string;
    autocomplete: import("vue-demi").ComputedRef<any>;
    csp: import("vue-demi").ComputedRef<any>;
    iconPrefixCls: import("vue-demi").ComputedRef<any>;
    disabled: import("vue-demi").ComputedRef<boolean>;
    select: import("vue-demi").ComputedRef<{
        showSearch?: boolean;
    }>;
    wave: import("vue-demi").ComputedRef<{
        disabled?: boolean;
    }>;
};
export default _default;
